<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="https://jmix.io/schema/ui/window"
        caption="msg://transferInfoEdit.caption"
        focusComponent="form">
    <data>
        <instance id="transactionAcctDc"
                  class="com.company.trade_engine.entity.TransactionAcct">
            <fetchPlan extends="_base">
                <property name="account" fetchPlan="_instance_name"/>
                <property name="transMethod" fetchPlan="_instance_name"/>
                <property name="transStatus" fetchPlan="_instance_name"/>
                <property name="transType" fetchPlan="_instance_name"/>
            </fetchPlan>
            <loader/>
        </instance>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true">
            <form id="form" dataContainer="transactionAcctDc">
                <column width="350px">
                    <entityPicker id="accountField" property="account">
                        <actions>
                            <action id="entityLookup" type="entity_lookup"/>
                            <action id="entityClear" type="entity_clear"/>
                        </actions>
                    </entityPicker>
                    <textField id="amountField" property="amount"/>
                    <textField id="createdByField" property="createdBy"/>
                    <dateField id="createdDateField" property="createdDate"/>
                    <textField id="deletedByField" property="deletedBy"/>
                    <dateField id="deletedDateField" property="deletedDate"/>
                    <textField id="lastModifiedByField" property="lastModifiedBy"/>
                    <dateField id="lastModifiedDateField" property="lastModifiedDate"/>
                    <textField id="priceField" property="price"/>
                    <maskedField id="referenceField" mask="hhhhhhhh-hhhh-hhhh-hhhh-hhhhhhhhhhhh" property="reference"/>
                    <entityPicker id="transMethodField" property="transMethod">
                        <actions>
                            <action id="entityLookup" type="entity_lookup"/>
                            <action id="entityClear" type="entity_clear"/>
                        </actions>
                    </entityPicker>
                    <entityPicker id="transStatusField" property="transStatus">
                        <actions>
                            <action id="entityLookup" type="entity_lookup"/>
                            <action id="entityClear" type="entity_clear"/>
                        </actions>
                    </entityPicker>
                    <entityPicker id="transTypeField" property="transType">
                        <actions>
                            <action id="entityLookup" type="entity_lookup"/>
                            <action id="entityClear" type="entity_clear"/>
                        </actions>
                    </entityPicker>
                    <textField id="versionField" property="version"/>
                </column>
            </form>
        </scrollBox>
        <hbox id="editActions" spacing="true">
            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
